Package com.sun.java.help.impl

# Interface ParserListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `FlatMap.FlatMapResourceBundle`, `Parser.ParserMulticaster`

public interface ParserListener extends EventListener
ParserListener defines the interface for an object that listens to parsing events in a Parser.

## Method Summary

Modifier and Type
Method
Description
`void`
`commentFound(ParserEvent e)`
This tells the listener that a comment was parsed
`void`
`doctypeFound(ParserEvent e)`
This tells the listener that a DOCTYPE was parsed
`void`
`errorFound(ParserEvent e)`
This tells the listener that a error was parsed
`void`
`piFound(ParserEvent e)`
This tells the listener that a PI was parsed
`void`
`tagFound(ParserEvent e)`
This tells the listener that a Tag was parsed
`void`
`textFound(ParserEvent e)`
This tells the listener that a continous block of text was parsed

## Method Details

### tagFound

void tagFound(ParserEvent e)
This tells the listener that a Tag was parsed

Parameters:
  `e` - The event

### piFound

void piFound(ParserEvent e)
This tells the listener that a PI was parsed

Parameters:
  `e` - The event

### doctypeFound

void doctypeFound(ParserEvent e)
This tells the listener that a DOCTYPE was parsed

Parameters:
  `e` - The event

### textFound

void textFound(ParserEvent e)
This tells the listener that a continous block of text was parsed

Parameters:
  `e` - The event

### commentFound

void commentFound(ParserEvent e)
This tells the listener that a comment was parsed

Parameters:
  `e` - The event

### errorFound

void errorFound(ParserEvent e)
This tells the listener that a error was parsed

Parameters:
  `e` - The event